require("dotenv").config();
const express = require("express");
const app = express();
const authRoutes = require("./routes/auth");
const bodyParser = require("body-parser");

// Middleware
app.use(express.json());
app.use(express.urlencoded({ extended: true }));

const authenticateToken = require("./middleware/authenticateToken");

// Beispiel für eine geschützte Route
app.get("/mitglieder", authenticateToken, (req, res) => {
  res.json({ message: "Dies ist eine geschützte Route", user: req.user });
});

// Routes
app.use("/auth", authRoutes);

// Server starten
const PORT = process.env.PORT || 3000;
app.listen(PORT, () => {
  console.log(`Server läuft auf Port ${PORT}`);
});
